刚在家里的SOHO-Server上安装了Proxmox VE,在更新系统的时候遇到了apt-get update报错的问题。
经过查阅官方的技术文档“Install Proxmox VE”后,了解到非订阅的免费版在更新系统时需要添加ProXmoX VE的开源存储库。

添加Proxmox VE存储库:

echo "deb http://download.proxmox.com/debian/pve stretch pve-no-subscription" > /etc/apt/sources.list.d/pve-install-repo.list

添加Proxmox VE存储库密钥:

wget http://download.proxmox.com/debian/proxmox-ve-release-5.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg

运行以下命令更新存储库和系统:

apt update && apt dist-upgrade

建议在升级完成后,执行pveversion -v检查一下最新的软件版本。
然后执行reboot重启物理服务器。


静坐星空下